API Endpoints

Complete reference for all SolCertUp API endpoints. Base URL: https://api.solcertup.com/v1

Verification Endpoints

Get Verification Status

GET

/verify/{projectAddress}

Retrieve certification status for a project

Project Endpoints

List All Projects

GET

/projects

Get paginated list of certified projects

Get Project Details

GET

/projects/{projectId}

Retrieve detailed project information

Search Projects

GET

/projects/search?query={query}

Search certified projects by name or category

Audit Endpoints

Get Audit Report

GET

/audits/{projectId}

Download detailed audit report (requires auth)

Get Audit Summary

GET

/audits/{projectId}/summary

Get quick audit summary and findings

Registry Endpoints

Get Featured Projects

GET

/registry/featured

Get top-featured certified projects

Get Trending Projects

GET

/registry/trending

Get trending certified projects by activity

Response Format

All endpoints return JSON responses:

{ "success": true, "data": { ... }, "meta": { "timestamp": "2024-06-09T12:00:00Z", "version": "v1" } }

Rate Limits

  • • Free: 100 requests/hour
  • • Basic: 1,000 requests/hour ($49/mo)
  • • Pro: 10,000 requests/hour ($299/mo)
  • • Enterprise: Custom (contact sales)